Loading...
Searching...
No Matches
MyPaintRectangles Struct Reference

Holds the size and location of a MyPaintRectangle array. More...

`#include <mypaint-rectangle.h>`

## Data Fields

int | num_rectangles
| The number of rectangles.
MyPaintRectangle * | rectangles
| Pointer to a single, or an array of, MyPaintRectangles.

## Detailed Description

Holds the size and location of a MyPaintRectangle array.

Only used in the MyPaintSurface2 interface for handling multiple areas affected by a stroke (only actually used in MyPaintTiledSurface2, which implements MyPaintSurface2).

## Field Documentation

## num_rectangles

int MyPaintRectangles::num_rectangles

The number of rectangles.

The number of rectangles that the space pointed to by MyPaintRectangles::rectangles can fit.

## rectangles

MyPaintRectangle* MyPaintRectangles::rectangles

Pointer to a single, or an array of, MyPaintRectangles.

The space pointed to should fit at least n MyPaintRectangles, where n = MyPaintRectangles::num_rectangles

The documentation for this struct was generated from the following file:

- mypaint-rectangle.h